Update Multiple Object Record Attachment Descriptions
Update object record attachments in bulk with a JSON or CSV input file. You can only update the latest version of an attachment.
- The maximum input file size is 1GB.
- The values in the input must be UTF-8 encoded.
- CSVs must follow the standard format
. - The maximum batch size is 500.
PUT
/api/{version}/vobjects/{object_name}/attachments/batchHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/json or text/csv |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body ParametersPrepare a CSV or JSON input file.
| Name | Description |
|---|---|
id | The id of the object record to which to add the attachment. |
attachment_id | The id of the attachment you are updating on the record. |
external_id__v | Optional: Identify attachments by their external id. You must also add the idParam=external_id__v query parameter. |
description__v | Optional: Description of the attachment. 1000 characters maximum. |
Query Parameters
Section link for Query ParametersRequest
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H 'Accept: text/csv' \
-H 'Content-Type: text/csv' \
--data-binary @"create_attachments.csv" \
https://myvault.veevavault.com/api/v22.1/vobjects/veterinary_patient__c/attachments/batchResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"responseStatus": "SUCCESS",
"id": 140,
"version": 1
},
{
"responseStatus": "SUCCESS",
"id": 141,
"version": 1
}
]
}